package com.ibtp.kontor.tradingcards.dal;

import com.ibtp.kontor.tradingcards.entity.SportEntity;
import com.ibtp.kontor.tradingcards.entity.TeamEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by TPEETZ on 19.01.2015.
 */
interface TeamDao {
    public TeamEntity getById(Long id);

    public Collection<TeamEntity> findByIds(List<Long> ids);

    public Collection<TeamEntity> findByName(String name);

    public Collection<TeamEntity> findAll();

    public TeamEntity addTeam(String name, SportEntity sport);

    public TeamEntity store(TeamEntity entity);

    public void delete(TeamEntity entity);
}
